package io.renren.modules.admin.service;

import com.baomidou.mybatisplus.extension.service.IService;
import io.renren.common.utils.PageUtils;
import io.renren.modules.admin.entity.AdminMenuEntity;

import java.util.Map;
import java.util.List;

/**
 * 管理员菜单管理
 *
 * @author chenshun
 * @email sunlightcs@gmail.com
 * @date 2020-02-28 19:20:56
 */
public interface AdminMenuService extends IService<AdminMenuEntity> {

    PageUtils queryPage(Map<String, Object> params);

    /**
	 * 获取用户菜单列表
	 */
	List<AdminMenuEntity> getUserMenuList(Long userId);
}

