package io.renren.modules.admin.dao;

import io.renren.modules.admin.entity.MoneyAccountEntity;

import java.util.Date;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Update;

/**
 * 
 * 
 * @author chenshun
 * @email sunlightcs@gmail.com
 * @date 2020-02-14 14:51:30
 */
@Mapper
public interface MoneyAccountDao extends BaseMapper<MoneyAccountEntity> {
    @Update("REPLACE INTO money_account(`meeting_id`, `name`, `bank`, `account`, `create_time`) VALUES(#{meeting_id}, #{name}, #{bank}, #{account}, #{create_time});")
    Integer addOrUpdate(Long meeting_id, String name, String bank, String account, Date create_time);
}
