package io.renren.modules.app.controller;

import java.math.BigDecimal;
import java.util.Arrays;
import java.util.Map;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;

import java.util.Date;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;

import io.renren.modules.admin.entity.TypesOfFeeEntity;
import io.renren.modules.admin.service.TypesOfFeeService;
import io.renren.common.utils.R;



/**
 * 费用类型表
 *
 * @author chenshun
 * @email sunlightcs@gmail.com
 * @date 2020-02-24 10:38:03
 */
@RestController
@RequestMapping("app/typesoffee")
public class TypesOfFee {
    @Autowired
    private TypesOfFeeService typesOfFeeService;

    /**
     * 列表
     */
    @GetMapping("/list/{mid}")
    public R list(@PathVariable("mid") Long mid){
        List<TypesOfFeeEntity> feeList = typesOfFeeService.list(
            new QueryWrapper<TypesOfFeeEntity>().eq("meeting_id", mid));
            
        return R.ok().put("feeList", feeList);
    }
}
